
module MxHero::API
  
  class Account < Struct.new(:account, :domain, :created_date, :updated_date, :group)
    def initialize(elements)
      elements.each { |prop, value| send("#{prop}=", value) if respond_to?("#{prop}") }
    end

    def to_json
      { account: account, domain: domain, createdDate: created_date, updatedDate: updated_date, group: group }.to_json
    end

    def to_s
      "account: #{account}, domain: #{domain}, group: #{group}" 
    end
  end

end
