module MxHero::API

  # A group instance
  #
  class Group < Struct.new(:name, :domain, :description)
    def initialize(elements)
      elements.each { |prop, value| send("#{prop}=", value) if respond_to?("#{prop}") }
    end

    def to_json(*args)
      { name: name, domain: domain, description: description }.to_json(*args)
    end
  end

end
